WinStd Windows Win32 API using Standard C++

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
winstd::eap_packet Class Reference
Extensible Authentication Protocol API

EapPacket wrapper class. More...

`#include <WinStd/EAP.h>`

Inheritance diagram for winstd::eap_packet:

## Public Member Functions
virtual | ~eap_packet ()
| Destroys the EAP packet.
bool | create (EapCode code, BYTE id, WORD size) noexcept
| Create new EAP packet.
WORD | size () const noexcept
| Returns total EAP packet size in bytes.
Public Member Functions inherited from winstd::dplhandle< EapPacket *, NULL >
| dplhandle () noexcept
| Initializes a new class instance with the object handle set to INVAL.
| dplhandle (handle_type h) noexcept
| Initializes a new class instance with an already available object handle.
| dplhandle (const dplhandle< handle_type, INVAL > &h)
| Copy constructor.
| dplhandle (dplhandle< handle_type, INVAL > &&h) noexcept
| Move constructor.
dplhandle< handle_type, INVAL > & | operator= (handle_type h) noexcept
| Attaches already available object handle.
dplhandle< handle_type, INVAL > & | operator= (const dplhandle< handle_type, INVAL > &h) noexcept
| Duplicates the object.
dplhandle< handle_type, INVAL > & | operator= (dplhandle< handle_type, INVAL > &&h) noexcept
| Moves the object.
handle_type | duplicate () const
| Duplicates and returns a new object handle.
void | attach_duplicated (handle_type h)
| Duplicates an object handle and sets a new object handle.
Public Member Functions inherited from winstd::handle< T, INVAL >
| handle () noexcept
| Initializes a new class instance with the object handle set to INVAL.
| handle (handle_type h) noexcept
| Initializes a new class instance with an already available object handle.
| handle (handle< handle_type, INVAL > &&h) noexcept
| Move constructor.
handle< handle_type, INVAL > & | operator= (handle_type h) noexcept
| Attaches already available object handle.
handle< handle_type, INVAL > & | operator= (handle< handle_type, INVAL > &&h) noexcept
| Move assignment.
| operator handle_type () const
| Auto-typecasting operator.
handle_type *& | operator* () const
| Returns the object handle value when the object handle is a pointer to a value (class, struct, etc.).
handle_type * | operator& ()
| Returns the object handle reference.
handle_type | operator-> () const
| Provides object handle member access when the object handle is a pointer to a class or struct.
bool | operator! () const
| Tests if the object handle is invalid.
bool | operator< (handle_type h) const
| Is handle less than?
bool | operator<= (handle_type h) const
| Is handle less than or equal to?
bool | operator>= (handle_type h) const
| Is handle greater than or equal to?
bool | operator> (handle_type h) const
| Is handle greater than?
bool | operator!= (handle_type h) const
| Is handle not equal to?
bool | operator== (handle_type h) const
| Is handle equal to?
void | attach (handle_type h) noexcept
| Sets a new object handle for the class.
handle_type | detach ()
| Dismisses the object handle from this class.
void | free ()
| Destroys the object.

## Protected Member Functions
void | free_internal () noexcept override
| Destroys the EAP packet.
handle_type | duplicate_internal (handle_type h) const override
| Duplicates the EAP packet.

## Additional Inherited Members
Public Types inherited from winstd::handle< T, INVAL >
typedef T | handle_type
| Datatype of the object handle this template class handles.
Static Public Attributes inherited from winstd::handle< T, INVAL >
static const T | invalid = INVAL
| Invalid handle value.
Protected Attributes inherited from winstd::handle< T, INVAL >
handle_type | m_h
| Object handle.

## Detailed Description

EapPacket wrapper class.

## Member Function Documentation

## ◆ create()

bool winstd::eap_packet::create | ( | EapCode | code,
|  | BYTE | id,
|  | WORD | size )
| inline noexcept

Create new EAP packet.

Parameters

  [in] | code | EAP code (one of EapCode enum values)
  [in] | id | Packet ID
  [in] | size | Total packet size in bytes, including header. Must be at least 4B.

Note
  Packet data (beyond first 4B) is not initialized.

Returns
  - true when creation succeeds;
  - false when creation fails. For extended error information, call `GetLastError()`.

## ◆ duplicate_internal()

handle_type winstd::eap_packet::duplicate_internal | ( | handle_type | h | ) | const
| inline override protected virtual

Duplicates the EAP packet.

Implements winstd::dplhandle< EapPacket *, NULL >.

## ◆ free_internal()

void winstd::eap_packet::free_internal | ( |  | ) |
| inline override protected virtual noexcept

Destroys the EAP packet.

Implements winstd::handle< T, INVAL >.

The documentation for this class was generated from the following file:

- include/WinStd/EAP.h